Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface EditableItem

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, ContentComponentContainer, ContentPrototype, Editable, EditableLibraryComponent, Folder, HierarchicalPrototype, HierarchicalTemplate, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPersonalizationComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTextComponent, LibraryUserSelectionComponent, PortalPage, PresentationTemplate, Project, ProjectTemplate, Prototype, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Taxonomy, Workflow, WorkflowStage

    public interface EditableItem

Represents a Item whose attributes can be modified.

Method Summary
`void` | `setDescription(java.lang.String description)` Sets the description of this `EditableItem` object to the specified `String` argument.
`void` | `setName(java.lang.String name)` Sets the name of this `EditableItem` object to the specified `String` argument.
`void` | `setTitle(java.lang.String title)` Sets the title of this `EditableItem` object to the specified `String` argument.

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the name of this `EditableItem` object to the specified `String` argument. Valid characters are a-z, A-Z, 0-9 and the special characters " $-_.+!*(),". Note: This operation is not supported for `PortalPage`.

  Parameters:
    `name` - of the EditableItem

### setTitle

    void setTitle(java.lang.String title)

  Sets the title of this `EditableItem` object to the specified `String` argument. Unlike the name, any characters may be used in the title. Note: This operation is not supported for `PortalPage`.

  Parameters:
    `title` - of the EditableItem

### setDescription

    void setDescription(java.lang.String description)

  Sets the description of this `EditableItem` object to the specified `String` argument.

  This method accepts a `null` argument, in which case the description will be cleared. Note: This operation is not supported for `PortalPage`.

  Parameters:
    `description` - of the EditableItem

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD